/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.supinfo;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.client.gui.cir.CirView;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.EOGrade;
import org.cocktail.mangue.modele.mangue.EOSupInfoData;

import com.webobjects.eointerface.EODisplayGroup;
import com.webobjects.foundation.NSArray;


/**
 *
 * @author  cpinsard
 */
public class SupInfoEvalECView extends javax.swing.JFrame {

	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;


    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public SupInfoEvalECView(java.awt.Frame parent, boolean modal, EODisplayGroup dgAgents) {
        
        eod = dgAgents;
        
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        exercices = new javax.swing.JComboBox();
        viewTable = new javax.swing.JPanel();
        btnCalculer = new javax.swing.JButton();
        btnFichier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfFiltreNom = new javax.swing.JTextField();
        jLabel7 = new javax.swing.JLabel();
        validite = new javax.swing.JComboBox();
        lblMessage = new javax.swing.JLabel();
        btnHelp = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        grades = new javax.swing.JComboBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("EVALUATION des Enseignants-Chercheurs");

        jLabel1.setFont(new java.awt.Font("Arial", 0, 18)); // NOI18N
        jLabel1.setForeground(new java.awt.Color(102, 102, 255));
        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Evaluations E.C.");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.LEFT);
        jLabel2.setText("ANNEE :");

        exercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        exercices.setFocusable(false);
        exercices.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                exercicesActionPerformed(evt);
            }
        });

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnCalculer.setText("Préparer les données");
        btnCalculer.setToolTipText("Préparation des données SUP-INFO");

        btnFichier.setText("Exporter le Fichier");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Nom ?");

        tfFiltreNom.setToolTipText("Recherche sur le nom");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("VALIDE ?");

        validite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        validite.setFocusable(false);
        validite.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                validiteActionPerformed(evt);
            }
        });

        lblMessage.setFont(new java.awt.Font("Tahoma", 1, 12));
        lblMessage.setForeground(new java.awt.Color(102, 102, 255));
        lblMessage.setText("593 Agents");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Grade ?");

        grades.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        grades.setFocusable(false);
        grades.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                gradesActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(validite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 82, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(grades, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 200, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 159, Short.MAX_VALUE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(lblMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 255, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 232, Short.MAX_VALUE)
                        .add(btnCalculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 170, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(18, 18, 18)
                        .add(btnFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 153, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 828, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnSupprimer, 0, 0, Short.MAX_VALUE)
                    .add(btnModifier, 0, 0, Short.MAX_VALUE)
                    .add(btnAjouter, 0, 0, Short.MAX_VALUE)
                    .add(btnHelp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, Short.MAX_VALUE))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnHelp, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                            .add(jLabel2)
                            .add(exercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel7)
                            .add(validite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel6)
                            .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(jLabel8)
                            .add(grades, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(jLabel1))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 492, Short.MAX_VALUE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(btnFichier, 0, 0, Short.MAX_VALUE)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(btnCalculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(lblMessage)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-895)/2, (screenSize.height-608)/2, 895, 608);
    }// </editor-fold>//GEN-END:initComponents

    private void exercicesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_exercicesActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_exercicesActionPerformed

    private void validiteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_validiteActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_validiteActionPerformed

    private void gradesActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_gradesActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_gradesActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                CirView dialog = new CirView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAjouter;
    protected javax.swing.JButton btnCalculer;
    protected javax.swing.JButton btnFichier;
    protected javax.swing.JButton btnHelp;
    protected javax.swing.JButton btnModifier;
    protected javax.swing.JButton btnSupprimer;
    protected javax.swing.JComboBox exercices;
    protected javax.swing.JComboBox grades;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel lblMessage;
    private javax.swing.JTextField tfFiltreNom;
    protected javax.swing.JComboBox validite;
    protected javax.swing.JPanel viewTable;
    // End of variables declaration//GEN-END:variables

        
    private void initGui() {

    	setTitle("SUP-INFO , Evaluations Enseignants-Chercheurs");
    	setDefaultCloseOperation(DISPOSE_ON_CLOSE);
    	
    	btnHelp.setIcon(CocktailIcones.ICON_SELECT_16);

    	btnCalculer.setIcon(CocktailIcones.ICON_CALCULATE_16);
    	
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);

    	btnFichier.setIcon(CocktailIcones.ICON_DOSSIER_22);    	    
    	
    	validite.removeAllItems();
    	validite.addItem("*");
    	validite.addItem("OUI");
    	validite.addItem("NON");
    	
    	
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_NOM_USUEL_KEY, "Nom", 125);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_PRENOM_KEY, "prenom", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_NUMEN_KEY, "NUMEN", 100);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_NAISSANCE_KEY, "Naissance", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_TEM_VALIDE_KEY, "Valide", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_GRADE_KEY, "Grade", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.TO_GRADE_KEY+"."+EOGrade.LL_GRADE_KEY, "Grade cible", 200);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_POSITION_KEY, "Position", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_DEB_POSTION_KEY, "Deb Pos.", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_FIN_POSTION_KEY, "Fin Pos.", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_LIEU_POSITION_KEY, "Lieu Position", 125);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_QUOTITE_KEY, "Quot", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_ANC_CONSERVEE_KEY, "Ancienneté", 75);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_ECHELON_KEY, "Echelon", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_CHEVRON_KEY, "Chevron", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_TYPE_ABSENCE_KEY, "Congé", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_DEB_ABSENCE_KEY, "Deb Congé", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_FIN_ABSENCE_KEY, "Fin Congé", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_MOTIF_DEPART_KEY, "Départ", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_EFFET_DEPART_KEY, "Départ", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		myEOTable.setAutoResizeMode(ZEOTable.AUTO_RESIZE_OFF);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    }
        
    public void setListeExercices(Integer[] listeExercices) {
        exercices.removeAllItems();
        exercices.addItem("");
        for (int i=0;i<listeExercices.length;i++) {
        	exercices.addItem(listeExercices[i]);
        }        	
    }
    public void setListeGrades(NSArray listeGrades) {

        grades.removeAllItems();
        grades.addItem("");
        for (int i=0;i<listeGrades.count();i++)
        	grades.addItem(listeGrades.objectAtIndex(i));
    }

    public void setSelectedExercice(Object exercice) {
    	exercices.setSelectedItem(exercice);
    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnCalculer() {
		return btnCalculer;
	}

	public void setBtnCalculer(javax.swing.JButton btnCalculer) {
		this.btnCalculer = btnCalculer;
	}

	public javax.swing.JButton getBtnFichier() {
		return btnFichier;
	}

	public void setBtnFichier(javax.swing.JButton btnFichier) {
		this.btnFichier = btnFichier;
	}

	public javax.swing.JButton getBtnHelp() {
		return btnHelp;
	}

	public void setBtnHelp(javax.swing.JButton btnHelp) {
		this.btnHelp = btnHelp;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JComboBox getExercices() {
		return exercices;
	}

	public void setExercices(javax.swing.JComboBox exercices) {
		this.exercices = exercices;
	}

	public javax.swing.JLabel getLblMessage() {
		return lblMessage;
	}

	public void setLblMessage(javax.swing.JLabel lblMessage) {
		this.lblMessage = lblMessage;
	}

	

	public javax.swing.JComboBox getGrades() {
		return grades;
	}

	public void setGrades(javax.swing.JComboBox grades) {
		this.grades = grades;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public javax.swing.JComboBox getValidite() {
		return validite;
	}

	public void setValidite(javax.swing.JComboBox validite) {
		this.validite = validite;
	}
    




}
